%define name		xpsk31
%define summary	%{name} is an X/GTK+ Linux application for Amateur Radio communications in the PSK31 digital mode.
%define version	1.2
%define release	%mkrel 1

Summary: %summary
Name: %name
Version: %{version}
Release: %{release}
License: GPLv2
Group: Sciences/Other/HamRadio
Source: http://5b4az.chronos.org.uk/pkg/psk31/xpsk31/%{name}-%{version}.tar.gz
BuildRoot: %{_tmppath}/%{name}-%{version}-root

BuildRequires: glib-gettextize
BuildRequires: gtk2-devel

%description
xpsk31 is an X/GTK+ Linux application for Amateur Radio communications in the PSK31 digital mode. xpsk31 detects the carrier phase changes that make a PSK31-encoded character by reading audio samples from the DSP in the computer's sound card, connected to the output of a receiver. The audio signal is processed by a software phase detector which, for BPSK, detects '1' or '0' states ('0' signaled by a 180 deg phase reversal) and the resulting stream of BPSK31-coded bits is decoded into ASCII characters for printing to the Receive window of xpsk31. In QPSK the carrier phase changes are processed by a soft-decision Viterbi decoder which provides error correction in bad receiving conditions. A FFT-based "Waterfall" display is available to help tune in signals.

%prep
%setup -q -n %{name}

%build
./autogen.sh
%configure
%make

%install
rm -rf ${RPM_BUILD_ROOT}
%makeinstall

%{__mkdir_p} %{buildroot}%{_datadir}/%{name}
%{__mv} %{buildroot}%{_bindir}/%{name} %{buildroot}%{_datadir}/%{name}
%{__cp} %{name}/%{name}rc %{buildroot}%{_datadir}/%{name}
%{__cat} > %{buildroot}%{_bindir}/%{name} << EOF
#!/bin/sh

if [ ! -d \$HOME/%{name} ]
then
    %{__mkdir_p} \$HOME/%{name}
    %{__cp} %{_datadir}/%{name}/%{name}rc \$HOME/%{name}
fi

%{_datadir}/%{name}/%{name}
EOF
%{__chmod} 755 %{buildroot}%{_bindir}/%{name}


# please give me an icon :-)
# %{__mkdir_p} %{buildroot}%{_iconsdir}
# cp %{name}.png %{buildroot}%{_iconsdir}/%{name}.png

%{__mkdir_p} %{buildroot}%{_datadir}/applications
cat > %{buildroot}%{_datadir}/applications/%{name}.desktop  << EOF
[Desktop Entry]
Encoding=UTF-8
Name=%name
Comment=%summary
Exec=%{_bindir}/%{name}
Icon=%name
Terminal=false
Type=Application
Categories=Science;X-MandrivaLinux-MoreApplications-Sciences-Other;
EOF

%clean
rm -rf ${RPM_BUILD_ROOT}

%post
%{update_menus}

%postun
%{update_menus}

%files
%defattr(-, root, root)
%{_bindir}/%{name}
%{_datadir}/applications/%{name}.desktop
%{_datadir}/%{name}/%{name}
%{_datadir}/%{name}/%{name}rc


%changelog
* Wed May 7 2008 Paul Grinberg <gri6507 TA yahoo TOD com> 1.2-1pclos2007
- Created package for the first time
